<template>
  <a-sub-menu :key="item.fullPath" class="aa123">
    <template v-slot:title>
      <span class="anticon">
        <svg-icon :iconClass="item.meta.icon"></svg-icon>
        <!-- <vab-icon :icon="item.meta.icon"></vab-icon> -->
      </span>
      <span>{{ item.meta.title }}</span>
    </template>
    <slot></slot>
  </a-sub-menu>
</template>

<script>
  // import VabIcon from '@/layout/vab-icon'
  export default {
    name: 'Submenu',
    components: {  },
    props: {
      item: {
        type: Object,
        default() {
          return null
        },
      },
      routeChildren: {
        type: Object,
        default() {
          return null
        },
      },
    },
    methods: {},
  }
</script>
<style>
.aa123 li{
  padding-left:24px!important

}
</style>
